Page MenuHomePhabricator

Rewrite orphan rectifier to use the pending database and WmfFramework
Closed, ResolvedPublic4 Story Points

Description

DonationInterface
https://gerrit.wikimedia.org/r/#/c/300173

CRM
https://gerrit.wikimedia.org/r/#/c/300708

Tests must cover all the asses.

Event Timeline

awight created this task.Jul 27 2016, 9:18 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJul 27 2016, 9:19 PM
awight raised the priority of this task from Normal to High.Jul 27 2016, 9:19 PM
awight moved this task from Backlog to Review on the Fundraising Sprint Nitpicking board.
awight moved this task from Backlog to Orphan rectifier on the FR-ActiveMQ board.Jul 27 2016, 9:21 PM
awight added a project: Patch-For-Review.
awight updated the task description. (Show Details)Jul 27 2016, 10:21 PM
awight added a subscriber: Danny_B.

@Danny_B Please add a note explaining why the Technical-Debt tag is being removed from various tasks...

I've actually already answered you once. T141487#2520916

awight changed the point value for this task from 2 to 4.Aug 9 2016, 7:04 PM
awight updated the task description. (Show Details)

FWIW, I've deployed this code to paymentswiki and it doesn't break normal frontend processing.

Change 306478 had a related patch set uploaded (by Ejegg):
runHooks for drupal WmfFramework

https://gerrit.wikimedia.org/r/306478

Change 306519 had a related patch set uploaded (by Ejegg):
Remove unnecessary hooks

https://gerrit.wikimedia.org/r/306519

Change 306519 merged by jenkins-bot:
Remove unnecessary hooks

https://gerrit.wikimedia.org/r/306519

Change 306478 abandoned by Ejegg:
runHooks and registerHooks for drupal WmfFramework

Reason:
killed 'em instead

https://gerrit.wikimedia.org/r/306478

awight created subtask Restricted Task.Sep 16 2016, 7:49 AM
awight closed this task as Resolved.Sep 21 2016, 2:40 AM
Ejegg closed subtask Restricted Task as Resolved.Nov 17 2016, 8:48 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:34 PM